# ssd.py
# Vojtěch Golda
from torchvision.models.detection import ssd300_vgg16, SSD300_VGG16_Weights 
from util.model_util import preprocess, get_data_bb, get_model, batch2boxes

from models.model_util import ModelUtil


# 123

class SSD(ModelUtil):
    def __init__(self, device, filename="models/ssd.pth"):
        self.device = device
        self.model = ssd300_vgg16
        self.weights = SSD300_VGG16_Weights
        self.target_size = (300, 300)
        self.filename = filename

    def preprocess(*args, **kwargs):
        return preprocess(*args, **kwargs)

    def get_data(*args, **kwargs):
        return get_data_bb(*args, **kwargs)

    def get_model(*args, **kwargs):
        return get_model(*args, **kwargs)

    def batch2boxes(*args, **kwargs):
        return batch2boxes(*args, **kwargs)

